/*
 * include/asm-sh/landisk/io.h
 *
 * Modified version of io_se.h for the landisk-specific functions.
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See linux/COPYING for more information.
 *
 * IO functions for an I-O DATA Device, Inc. LANDISK
 */

#ifndef _ASM_SH_IO_LANDISK_H
#define _ASM_SH_IO_LANDISK_H

#include <asm/io_generic.h>

extern unsigned char landisk_inb(unsigned long port);
extern unsigned short landisk_inw(unsigned long port);
extern unsigned int landisk_inl(unsigned long port);

extern void landisk_outb(unsigned char value, unsigned long port);
extern void landisk_outw(unsigned short value, unsigned long port);
extern void landisk_outl(unsigned int value, unsigned long port);

extern unsigned char landisk_inb_p(unsigned long port);
extern void landisk_outb_p(unsigned char value, unsigned long port);

extern void landisk_insb(unsigned long port, void *addr, unsigned long count);
extern void landisk_insw(unsigned long port, void *addr, unsigned long count);
extern void landisk_insl(unsigned long port, void *addr, unsigned long count);
extern void landisk_outsb(unsigned long port, const void *addr, unsigned long count);
extern void landisk_outsw(unsigned long port, const void *addr, unsigned long count);
extern void landisk_outsl(unsigned long port, const void *addr, unsigned long count);

extern unsigned char landisk_readb(unsigned long addr);
extern unsigned short landisk_readw(unsigned long addr);
extern unsigned int landisk_readl(unsigned long addr);
extern void landisk_writeb(unsigned char b, unsigned long addr);
extern void landisk_writew(unsigned short b, unsigned long addr);
extern void landisk_writel(unsigned int b, unsigned long addr);

extern void *landisk_ioremap(unsigned long offset, unsigned long size);
extern void landisk_iounmap(void *addr);

extern unsigned long landisk_isa_port2addr(unsigned long offset);

#endif /* _ASM_SH_IO_LANDISK_H */
